/**
 *
 * React Native Elements - Base components library
 *
 * UI references
 * https://ionicframework.com/docs/components/#buttons
 * https://material.io/guidelines/components/buttons.html#buttons-raised-buttons
 * https://material.angularjs.org/latest/demo/button
 */

// Core
import { withBadge } from './Badge';
import { AirbnbRating, type TapRatingProps } from './AirbnbRating';
import { Avatar, type AvatarProps } from './Avatar';
import { Badge, type BadgeProps } from './Badge';
import { BottomSheet, type BottomSheetProps } from './BottomSheet';
import { Button, type ButtonProps } from './Button';
import { ButtonGroup, type ButtonGroupProps } from './ButtonGroup';
import { Card, type CardProps } from './Card';
import { CheckBox, type CheckBoxProps } from './CheckBox';
import { Chip, type ChipProps } from './Chip';
import { Dialog, type DialogProps } from './Dialog';
import { Divider, type DividerProps } from './Divider';
import { FAB, type FABProps } from './FAB';
import { Header, type HeaderProps } from './Header';
import { Icon, type IconProps } from './Icon';
import { Image, type ImageProps } from './Image';
import { Input, type InputProps } from './Input';
import { LinearProgress, type LinearProgressProps } from './LinearProgress';
import { ListItem, type ListItemProps } from './ListItem';
import { Overlay, type OverlayProps } from './Overlay';
import { PricingCard, type PricingCardProps } from './PricingCard';
import { Rating, type SwipeRatingProps } from './Rating';
import { SearchBar, type SearchBarProps } from './SearchBar';
import { Slider, type SliderProps } from './Slider';
import { SocialIcon, type SocialIconProps } from './SocialIcon';
import { SpeedDial, type SpeedDialProps } from './SpeedDial';
import { Switch, type SwitchProps } from './Switch';
import { Skeleton, type SkeletonProps } from './Skeleton';
import { Tab, type TabProps } from './Tab';
import { TabView, type TabViewBaseProps } from './TabView';
import { Text, type TextProps } from './Text';
import { Tile, type TileProps } from './Tile';
import { Tooltip, type TooltipProps } from './Tooltip';

/**
 * helpers
 */
// import {} from './helpers';

/**
 * Components exported by '@react-native-elements/base'
 */
export {
  AirbnbRating,
  Avatar,
  Badge,
  withBadge,
  BottomSheet,
  Button,
  ButtonGroup,
  Card,
  CheckBox,
  Chip,
  Dialog,
  Divider,
  FAB,
  Header,
  Icon,
  Image,
  Input,
  LinearProgress,
  ListItem,
  Overlay,
  PricingCard,
  Rating,
  SearchBar,
  Slider,
  SocialIcon,
  SpeedDial,
  Switch,
  Skeleton,
  Tab,
  TabView,
  Text,
  Tile,
  Tooltip,
};

/**
 * Types exported by '@react-native-elements/base'
 */
export type {
  TapRatingProps,
  AvatarProps,
  BadgeProps,
  BottomSheetProps,
  ButtonProps,
  ButtonGroupProps,
  CardProps,
  CheckBoxProps,
  ChipProps,
  DialogProps,
  DividerProps,
  FABProps,
  HeaderProps,
  IconProps,
  ImageProps,
  InputProps,
  LinearProgressProps,
  ListItemProps,
  OverlayProps,
  PricingCardProps,
  SwipeRatingProps,
  SearchBarProps,
  SliderProps,
  SocialIconProps,
  SpeedDialProps,
  SwitchProps,
  SkeletonProps,
  TabProps,
  TabViewBaseProps as TabViewProps,
  TextProps,
  TileProps,
  TooltipProps,
};
