<p align="center">
  <a href="https://reactnativeelements.com/">
    <img alt="react-native-elements" src="https://user-images.githubusercontent.com/5962998/65694309-a825f000-e043-11e9-8382-db0dba0851e3.png" width="300">
  </a>
</p>

<p align="center">
 Universal Cross Platform <a href="https://reactnative.dev">React Native</a> UI Toolkit
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/@react-native-elements/circular-slider"><img src="https://img.shields.io/npm/v/@react-native-elements/circular-slider.svg"></a>
  <a href="https://github.com/react-native-elements/react-native-elements"><img src="https://img.shields.io/github/stars/react-native-elements/react-native-elements"></a>
  <a href="https://www.npmjs.com/package/@react-native-elements/circular-slider"><img src="https://img.shields.io/npm/dm/@react-native-elements/circular-slider.svg"></a>
  <a href="https://react-native-elements-slack.herokuapp.com"><img src="https://react-native-elements-slack.herokuapp.com/badge.svg"></a>
</p>

<p align="center">
 <a href="https://codecov.io/gh/react-native-elements/react-native-elements"><img src="https://codecov.io/gh/react-native-elements/react-native-elements/coverage.svg"></a>
  <a href="https://github.com/prettier/prettier"><img src="https://img.shields.io/badge/styled_with-prettier-ff69b4.svg"></a>
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/License-MIT-blue.svg"></a>
  
</p>

<br />

![React Native Elements UI Toolkit](https://user-images.githubusercontent.com/5962998/37248832-a7060286-24b1-11e8-94a8-847ab6ded4ec.png)

## Get Started

### Installation

Follow
[these instructions](https://reactnativeelements.com/docs/)
to install React Native Elements!

### Usage

Start using the components or try it on Snack
[here](https://snack.expo.io/rJu6gJfBZ).

```js
import { CircularSlider } from '@react-native-elements/circular-slider';

<CircularSlider />;
```

## Components included:

- [x] [CircularSlider](https://reactnativeelements.com/docs/circularslider)

## React Native Web support

As a cross platform UI Toolkit, you can now use RNE on the web & share your codebase between your React Native + React web apps. RNE components are rendered perfectly on browser. You can achieve this to target iOS, Android and Web by collaborating RNE and [React Native for Web](https://github.com/necolas/react-native-web).

Click [here](https://reactnativeelements.com/blog/2018/12/13/react-native-web) for a full walkthrough using React Native Elements + React Native Web.

## Demo App

Checkout the official
[React Native Elements App](https://expo.io/@flyingcircle/projects/react-native-elements-app)
on Expo which uses all of the React Native Elements components.

If you are looking to contribute to the React Native Elements App, click
[here](https://github.com/react-native-elements/react-native-elements/tree/next/example) to
view the implementation & run the RNE expo app locally.

## Documentation

[View the full docs here](https://reactnativeelements.com/docs/overview)

## Contributing

Interested in contributing to this repo? Check out our
[Contributing Guide](https://reactnativeelements.com/docs/contributing)
and submit a PR for a new feature/bug fix.

A big shoutout to all our contributors! You could be here too!

<a href="https://github.com/react-native-elements/react-native-elements/graphs/contributors"><img src="https://opencollective.com/react-native-elements/contributors.svg?width=890&button=false" /></a>

### First Contributors

We encourage everyone to contribute & submit PR's especially first-time
contributors. Look for the label `Good First Issue` on the issues. Click
[here](https://github.com/react-native-elements/react-native-elements/labels/Good%20First%20Issue)
to see them.

If there is something you's like to see or request a new feature, please submit
an
[issue](https://github.com/react-native-elements/react-native-elements/issues/new)
or a
[pull request](https://github.com/react-native-elements/react-native-elements/pulls).
